#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CC_LINKER_FLAGS=-Wl,-z,defs',
    '--CXX_LINKER_FLAGS=-Wl,--no-as-needed -Wl,-z,defs',
    '--PETSC_ARCH=powerpc64le-linux-gnu-complex-debug-64',
    '--build=powerpc64le-linux-gnu',
    '--includedir=${prefix}/include',
    '--infodir=${prefix}/share/info',
    '--libdir=${prefix}/lib/powerpc64le-linux-gnu',
    '--localstatedir=/var',
    '--mandir=${prefix}/share/man',
    '--prefix=/usr/lib/petscdir/petsc64-3.22/powerpc64le-linux-gnu-complex-debug',
    '--runstatedir=/run',
    '--sysconfdir=/etc',
    '--with-64-bit-indices',
    '--with-blas-lib=-lblas',
    '--with-cc=mpicc',
    '--with-cxx-dialect=C++11',
    '--with-cxx=mpicxx',
    '--with-debugging=1',
    '--with-dependency-tracking=0',
    '--with-fc=mpif90',
    '--with-fftw-include=[]',
    '--with-fftw-lib=-lfftw3 -lfftw3_mpi',
    '--with-fftw=1',
    '--with-hdf5-include=/usr/include/hdf5/openmpi',
    '--with-hdf5-lib=-L/usr/lib/powerpc64le-linux-gnu/hdf5/openmpi -lhdf5 -L/usr/lib/powerpc64le-linux-gnu/openmpi/lib -lmpi_usempif08 -lmpi_usempi_ignore_tkr -lmpi_mpifh -lmpi ',
    '--with-lapack-lib=-llapack',
    '--with-library-name-suffix=64_complex',
    '--with-maintainer-mode=0',
    '--with-mumps-include=[]',
    '--with-mumps-lib=-ldmumps_64 -lzmumps_64 -lsmumps_64 -lcmumps_64 -lmumps_common_64 -lpord_64',
    '--with-mumps=1',
    '--with-opencl=1',
    '--with-option-checking=0',
    '--with-pic=1',
    '--with-ptscotch-include=/usr/include/scotch-int64',
    '--with-ptscotch-lib=-Wl,-rpath=/usr/lib/powerpc64le-linux-gnu/scotch-int64 -L/usr/lib/powerpc64le-linux-gnu/scotch-int64 -lptesmumps -lptscotch -lptscotcherr',
    '--with-ptscotch=1',
    '--with-scalapack-lib=-lscalapack-openmpi',
    '--with-scalapack=1',
    '--with-scalar-type=complex',
    '--with-shared-libraries',
    '--with-silent-rules=0',
    '--with-suitesparse-include=/usr/include/suitesparse',
    '--with-suitesparse-lib=-lspqr -lumfpack -lamd -lcholmod -lklu',
    '--with-suitesparse=1',
    '--with-yaml=1',
    'CFLAGS=-g -O3 -Werror=implicit-function-declaration -ffile-prefix-map=/build/petsc-Aoixcc/petsc-3.22.5+dfsg1=. -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -fno-stack-clash-protection -fPIC',
    'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=3',
    'CXXFLAGS=-g -O3 -ffile-prefix-map=/build/petsc-Aoixcc/petsc-3.22.5+dfsg1=. -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -fno-stack-clash-protection -fPIC',
    'FCFLAGS=-g -O3 -ffile-prefix-map=/build/petsc-Aoixcc/petsc-3.22.5+dfsg1=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fno-stack-clash-protection -fPIC -ffree-line-length-0',
    'FFLAGS=-g -O3 -ffile-prefix-map=/build/petsc-Aoixcc/petsc-3.22.5+dfsg1=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fno-stack-clash-protection -fPIC -ffree-line-length-0',
    'LDFLAGS=-Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -Wl,-z,relro -fPIC',
    'MAKEFLAGS=',
  ]
  configure.petsc_configure(configure_options)
